#include <e32std.h>

extern "C" {
#include "symbian.h"
}


void MutexWait(void *mutex) {
    RMutex *m = (RMutex *)mutex;
    m->Wait();
}

void MutexSignal(void *mutex) {
    RMutex *m = (RMutex *)mutex;
    m->Signal();
}

void MutexClose(void *mutex) {
    RMutex *m = (RMutex *)mutex;
    m->Close();
    delete m;
}
